Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### randomSeed()

Examples

    randomSeed(0);
    for(int i=0; i < 100; i++) {
      float r = random(0, 255);
      stroke(r);
      line(i, 0, i, 100);
    }

Description | Sets the seed value for random(). By default, random() produces different results each time the program is run. Set the value parameter to a constant to return the same pseudo-random numbers each time the software is run.

Syntax

    randomSeed(value);

Parameters

value | int

Returns | None
Usage | Web & Application
Related | random() noise() noiseSeed()

Updated on August 30, 2010 04:29:39pm EDT